VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2 Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2:
[legend]

## Public Member Functions

| BufferMemoryRequirementsInfo2 (Buffer buffer_=Buffer())
| BufferMemoryRequirementsInfo2 (VkBufferMemoryRequirementsInfo2 const &rhs)
BufferMemoryRequirementsInfo2 & | operator= (VkBufferMemoryRequirementsInfo2 const &rhs)
BufferMemoryRequirementsInfo2 & | setPNext (const void *pNext_)
BufferMemoryRequirementsInfo2 & | setBuffer (Buffer buffer_)
| operator VkBufferMemoryRequirementsInfo2 const & () const
| operator VkBufferMemoryRequirementsInfo2 & ()
bool | operator== (BufferMemoryRequirementsInfo2 const &rhs) const
bool | operator!= (BufferMemoryRequirementsInfo2 const &rhs) const

## Data Fields

const void * | pNext = nullptr
Buffer | buffer

## Private Attributes

StructureType | sType = StructureType::eBufferMemoryRequirementsInfo2

## Detailed Description

Definition at line 15885 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BufferMemoryRequirementsInfo2() [1/2]

VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::BufferMemoryRequirementsInfo2 | ( | Buffer | buffer_ = `Buffer()` | ) |

inline

Definition at line 15887 of file vulkan.hpp.

: buffer( buffer_ )
{
}

## BufferMemoryRequirementsInfo2() [2/2]

VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::BufferMemoryRequirementsInfo2 | ( | VkBufferMemoryRequirementsInfo2 const & | rhs | ) |

inline

Definition at line 15892 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BufferMemoryRequirementsInfo2 ) );
}

References memcpy.

## Member Function Documentation

## operator VkBufferMemoryRequirementsInfo2 &()

VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::operator VkBufferMemoryRequirementsInfo2 & | ( |  | ) |

inline

Definition at line 15919 of file vulkan.hpp.

{
return *reinterpret_cast<VkBufferMemoryRequirementsInfo2*>(this);
}

## operator VkBufferMemoryRequirementsInfo2 const &()

VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::operator VkBufferMemoryRequirementsInfo2 const & | ( |  | ) | const

inline

Definition at line 15914 of file vulkan.hpp.

{
return *reinterpret_cast<const VkBufferMemoryRequirementsInfo2*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::operator!= | ( | BufferMemoryRequirementsInfo2 const & | rhs | ) | const

inline

Definition at line 15931 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

BufferMemoryRequirementsInfo2& VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::operator= | ( | VkBufferMemoryRequirementsInfo2 const & | rhs | ) |

inline

Definition at line 15897 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BufferMemoryRequirementsInfo2 ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::operator== | ( | BufferMemoryRequirementsInfo2 const & | rhs | ) | const

inline

Definition at line 15924 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( buffer == rhs.buffer );
}

References buffer, pNext, and sType.

Referenced by operator!=().

## setBuffer()

BufferMemoryRequirementsInfo2& VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::setBuffer | ( | Buffer | buffer_ | ) |

inline

Definition at line 15908 of file vulkan.hpp.

{
buffer = buffer_;
return *this;
}

## setPNext()

BufferMemoryRequirementsInfo2& VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 15902 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## buffer

Buffer VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::buffer

Definition at line 15941 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::pNext = nullptr

Definition at line 15940 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::sType = StructureType::eBufferMemoryRequirementsInfo2

private

Definition at line 15937 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::buffer
Buffer buffer
Definition: vulkan.hpp:15941
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::BufferMemoryRequirementsInfo2
BufferMemoryRequirementsInfo2(Buffer buffer_=Buffer())
Definition: vulkan.hpp:15887
buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
VkBufferMemoryRequirementsInfo2
Definition: vulkan_core.h:4120
VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::operator==
bool operator==(BufferMemoryRequirementsInfo2 const &rhs) const
Definition: vulkan.hpp:15924
VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::sType
StructureType sType
Definition: vulkan.hpp:15937
VULKAN_HPP_NAMESPACE::BufferMemoryRequirementsInfo2::pNext
const void * pNext
Definition: vulkan.hpp:15940